highlighting-kate-0.2.10: Syntax highlighting

Text.Highlighting.Kate.Syntax

Synopsis

- highlightAs :: String -> String -> Either String [SourceLine]
- languages :: [String]
- languagesByExtension :: String -> [String]
- languagesByFilename :: FilePath -> [String]

# Documentation

highlightAs

Arguments

:: String | Language syntax
-> String | Source code to highlight
-> Either String [SourceLine] | Either error message or result

Highlight source code using a specified syntax definition.

languages :: [String]

List of supported languages.

languagesByExtension :: String -> [String]

Returns a list of languages appropriate for the given file extension.

languagesByFilename :: FilePath -> [String]

Returns a list of languages appropriate for the given filename.